"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const getHighlightedCode_1 = __importDefault(require("../helpers/getHighlightedCode"));
const HighlightBack = ({ code_content = "", search_text = "", highlight_color = "yellow" }) => {
    const highlightedCode = (0, getHighlightedCode_1.default)(code_content, search_text, highlight_color);
    return (react_1.default.createElement("pre", { className: "rhp-tlr-0" },
        react_1.default.createElement("code", { className: "hljs" }, highlightedCode)));
};
exports.default = HighlightBack;
//# sourceMappingURL=HighlightBack.js.map