import React from "react";
import getHighlightedCode from "../helpers/getHighlightedCode";
const HighlightBack = ({ code_content = "", search_text = "", highlight_color = "yellow" }) => {
    const highlightedCode = getHighlightedCode(code_content, search_text, highlight_color);
    return (React.createElement("pre", { className: "rhp-tlr-0" },
        React.createElement("code", { className: "hljs" }, highlightedCode)));
};
export default HighlightBack;
//# sourceMappingURL=HighlightBack.js.map