import React from "react";
import Highlight from "react-highlight";
const HighlightFront = ({ code_content = "", language }) => {
    if (language === undefined) {
        return (React.createElement(Highlight, { className: "rhp-bck-transparent" }, code_content));
    }
    return (React.createElement(Highlight, { className: `${language} rhp-bck-transparent` }, code_content));
};
export default HighlightFront;
//# sourceMappingURL=HighlightFront.js.map