"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_highlight_1 = __importDefault(require("react-highlight"));
const HighlightFront = ({ code_content = "", language }) => {
    if (language === undefined) {
        return (react_1.default.createElement(react_highlight_1.default, { className: "rhp-bck-transparent" }, code_content));
    }
    return (react_1.default.createElement(react_highlight_1.default, { className: `${language} rhp-bck-transparent` }, code_content));
};
exports.default = HighlightFront;
//# sourceMappingURL=HighlightFront.js.map