"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const HighlightFront_1 = __importDefault(require("./HighlightFront"));
const HighlightBack_1 = __importDefault(require("./HighlightBack"));
const HighlightPlus = ({ code_content, language, word_to_highlight, highlight_color }) => {
    console.log({ code_content, language, word_to_highlight, highlight_color });
    return (react_1.default.createElement("div", { className: "rhp-cont hljs" },
        react_1.default.createElement(HighlightFront_1.default, { code_content: code_content, language: language }),
        react_1.default.createElement(HighlightBack_1.default, { code_content: code_content, search_text: word_to_highlight, highlight_color: highlight_color })));
};
exports.default = HighlightPlus;
//# sourceMappingURL=HighlightPlus.js.map