import React from "react";
import HighlightFront from "./HighlightFront";
import HighlightBack from "./HighlightBack";
const HighlightPlus = ({ code_content, language, word_to_highlight, highlight_color }) => {
    console.log({ code_content, language, word_to_highlight, highlight_color });
    return (React.createElement("div", { className: "rhp-cont hljs" },
        React.createElement(HighlightFront, { code_content: code_content, language: language }),
        React.createElement(HighlightBack, { code_content: code_content, search_text: word_to_highlight, highlight_color: highlight_color })));
};
export default HighlightPlus;
//# sourceMappingURL=HighlightPlus.js.map